Package org.apache.tomcat.util.net

## Class AprEndpoint.SocketWithOptionsProcessor

- java.lang.Object
- - org.apache.tomcat.util.net.AprEndpoint.SocketWithOptionsProcessor

- All Implemented Interfaces:
    `java.lang.Runnable`
  Enclosing class:
    AprEndpoint

      protected class AprEndpoint.SocketWithOptionsProcessor
      extends java.lang.Object
      implements java.lang.Runnable

  This class is the equivalent of the Worker, but will simply use in an external Executor thread pool. This will also set the socket options and do the handshake. This is called after an accept().

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SocketWrapperBase<java.lang.Long>` | `socket` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SocketWithOptionsProcessor​(SocketWrapperBase<java.lang.Long> socket)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### socket

          protected SocketWrapperBase<java.lang.Long> socket

  - ### Constructor Detail

    - #### SocketWithOptionsProcessor

          public SocketWithOptionsProcessor​(SocketWrapperBase<java.lang.Long> socket)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`